Skip to main content
Creates a new knowledge base. After creation, add documents to it using the create document endpoint, then attach the knowledge base to an assistant.

Endpoint

POST /user/knowledgebases

Request

name
string
required
Name of the knowledge base. Maximum 255 characters.
description
string
Optional description. Maximum 255 characters.

Response

message
string
Confirmation message.
data
object
The created knowledge base.

Example

curl -X POST "https://portal.intellixent.ai/api/user/knowledgebases" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Product Documentation",
    "description": "Technical documentation for our products"
  }'
201 Created
{
  "message": "Knowledgebase created successfully.",
  "data": {
    "id": 1,
    "name": "Product Documentation",
    "description": "Technical documentation for our products",
    "status": "empty",
    "status_label": "Empty",
    "created_at": "2025-01-08T10:30:00.000000Z",
    "updated_at": "2025-01-08T10:30:00.000000Z"
  }
}
After creating the knowledge base:
  1. Add documents using the create document endpoint.
  2. Wait for document processing to complete.
  3. Attach the knowledge base to an assistant using the update assistant endpoint.